<form #pass="ngForm" (ngSubmit)="submit(pass.value)">
  <div class="row">
    <label>Password</label>
    <input type="password" class="form-control" autocomplete="new-username" name="password" required ngModel />
  </div>
  <div class="row">
    <label>Confirm password</label>
    <input type="password" class="form-control" autocomplete="new-username" name="cpassword" required ngModel />
  </div>
  <div class="text-center button-body row">
    <span class="error-msg" *ngIf="invalid;else break">{{invalid}}<br /></span>
    <ng-template #break><br /></ng-template>
    <button type="submit" class="btn blue btn-block" [disabled]="isLoading || pass.invalid">Submit</button>
    <button type="button" [mat-dialog-close] class="btn red btn-block">Cancel</button>
  </div>
  <br />
</form>